package com.ssj.service.kmt.dto.exercise;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ExerciseBookYearDto implements Serializable {
    private static final long serialVersionUID = 1L;

    public ExerciseBookYearDto (int bookYear){
        this.bookYear = bookYear;
        this.bookYearName = bookYear + "";
    }

    public ExerciseBookYearDto (int bookYear, String bookYearName){
        this.bookYear = bookYear;
        this.bookYearName = bookYearName;
    }


    private int bookYear;

    private String bookYearName;

    private List<ExerciseBookTypeDto> bookTypeList = new ArrayList<>();


    public int getBookYear() {
        return bookYear;
    }

    public void setBookYear(int bookYear) {
        this.bookYear = bookYear;
    }

    public String getBookYearName() {
        return bookYearName;
    }

    public void setBookYearName(String bookYearName) {
        this.bookYearName = bookYearName;
    }

    public List<ExerciseBookTypeDto> getBookTypeList() {
        return bookTypeList;
    }

    public void setBookTypeList(List<ExerciseBookTypeDto> bookTypeList) {
        this.bookTypeList = bookTypeList;
    }

    public void addBookType (int bookType, String exerciseBookId){
        this.bookTypeList.add(new ExerciseBookTypeDto(bookType, exerciseBookId));
    }
}
